package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 签到方式(0.自动签到，1.手动签到)枚举类
*
* @author zxfei
*/
public enum CheckInMethodEnum {
    自动签到(0, "自动签到"),
    手动签到(1, "手动签到");
    private Integer value;
    private String desc;

    CheckInMethodEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static CheckInMethodEnum getByValue(Integer value) {
        for (CheckInMethodEnum checkInMethodEnum : CheckInMethodEnum.values()) {
            if (checkInMethodEnum.getValue() == value) {
                return checkInMethodEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (CheckInMethodEnum item : CheckInMethodEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}